## libnoris-net-idn-punycode-perl 0.0.1

=== Makefile ===
build:

install:
	cp -r usr ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man3
	iconv -f utf8 -t latin1 usr/share/perl5/noris/Net/IDN/Punycode.pm | pod2man -c Punycode.pm -s 1 -q "''" | gzip -9 > $(DESTDIR)/usr/share/man/man3/noris::Net::IDN::Punycode.3.gz
	iconv -f utf8 -t latin1 usr/share/perl5/noris/Net/IDN/Punycode/PP.pm | pod2man -c PP.pm -s 1 -q "''" | gzip -9 > $(DESTDIR)/usr/share/man/man3/noris::Net::IDN::Punycode::PP.3.gz

clean:
	rm -f *-stamp

=== debian/changelog ===
libnoris-net-idn-punycode-perl (0.0.1) wheezy; urgency=low

  * Initial Release.

 -- Stelios Gikas <stelios.gikas@noris.net>  Thu, 10 Jun 2010 11:42:28 +0200

=== debian/control ===
Source: libnoris-net-idn-punycode-perl
Section: noris/libs
Priority: extra
Maintainer: Stelios Gikas <stelios.gikas@noris.net>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.7.3
Homepage: http://www.noris.net

Package: libnoris-net-idn-punycode-perl
Architecture: all
Depends: ${shlibs:Depends}, perl (>= 5.8), perl-doc
Description: Net::IDN::Punycode für 'kunde'
 Net::IDN::Punycode -> noris::Net::IDN::Punycode damit das in 'kunde'
 benutzt werden kann.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/libnoris-net-idn-punycode-perl.sgml > libnoris-net-idn-punycode-perl.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/libnoris-net-idn-punycode-perl.
	$(MAKE) DESTDIR=$(CURDIR)/debian/libnoris-net-idn-punycode-perl install


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
